Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.groupware
Class PostalAddress

    java.lang.Object
      com.compoze.collab.groupware.PostalAddress

public class PostalAddress
extends java.lang.Object

This class is a wrapper for postal address representations.

Constructor Summary
`PostalAddress(java.lang.String sStreet, java.lang.String sCity, java.lang.String sState, java.lang.String sCountry, java.lang.String sPostalCode)` Constructor.

Method Summary
`java.lang.String` | `getCity()` Gets the city.
`java.lang.String` | `getCountry()` Gets the country.
`java.lang.String` | `getPostalCode()` Gets the postal code.
`java.lang.String` | `getState()` Gets the state or province.
`java.lang.String` | `getStreet()` Gets the street.
`void` | `setCity(java.lang.String sCity)` Sets the city name.
`void` | `setCountry(java.lang.String sCountry)` Sets the country.
`void` | `setPostalCode(java.lang.String sPostalCode)` Sets the postal code.
`void` | `setState(java.lang.String sState)` Sets the state or province.
`void` | `setStreet(java.lang.String sStreet)` Sets the street address.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PostalAddress

    public PostalAddress(java.lang.String sStreet,
                         java.lang.String sCity,
                         java.lang.String sState,
                         java.lang.String sCountry,
                         java.lang.String sPostalCode)

  Constructor.

Parameters:
  `sStreet` - the street address
  `sCity` - the city
  `sState` - the state or province
  `sCountry` - the country

Method Detail

### setCity

    public void setCity(java.lang.String sCity)

  Sets the city name.

  Parameters:
    `sCity` - the city name

### getCity

    public java.lang.String getCity()

  Gets the city.

  Returns:
    the city name
  See Also:
    `setCity(String)`

### setCountry

    public void setCountry(java.lang.String sCountry)

  Sets the country.

  Parameters:
    `sCountry` - the country

### getCountry

    public java.lang.String getCountry()

  Gets the country.

  Returns:
    the country
  See Also:
    `setCountry(String)`

### setState

    public void setState(java.lang.String sState)

  Sets the state or province.

  Parameters:
    `sState` - the state or province

### getState

    public java.lang.String getState()

  Gets the state or province.

  Returns:
    the state or province
  See Also:
    `setState(String)`

### setStreet

    public void setStreet(java.lang.String sStreet)

  Sets the street address.

  Parameters:
    `sStreet` - the street address

### getStreet

    public java.lang.String getStreet()

  Gets the street.

  Returns:
    the street address
  See Also:
    `setStreet(String)`

### setPostalCode

    public void setPostalCode(java.lang.String sPostalCode)

  Sets the postal code.

  Parameters:
    `sPostalCode` - the postal code

### getPostalCode

    public java.lang.String getPostalCode()

  Gets the postal code.

  Returns:
    the postal code
  See Also:
    `setPostalCode(String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.